# Installation and running the RPi-LoRa-shield with APRX

## Install needed packages
`
sudo apt install python3 python3-rpi.gpio python3-spidev aprx screen git python3-pil python3-smbus
`

## Checkout the code

Clone this repository.

## Configuration of APRX

```
In /etc/aprx.conf:

    <interface>
        tcp-device   127.0.0.1  10001    KISS
        callsign     NOCALL-4  # callsign defaults to $mycall
        tx-ok        true    # transmitter enable defaults to false
    #   #telem-to-is  true # set to 'false' to disable
    </interface>
```

## Start the LoRa KISS TNC

```
python3 Start_lora-tnc.py &
```

# Alternative method using the AX.25 stack

This method is more complicated, but also more versitile as not all programs can communicate to a KISS device over TCP.

## Install needed packages

```
sudo apt install python3 python3-rpi.gpio python3-spidev aprx screen git python3-pil python3-smbus
```

## Checkout the code

Clone this repository.

## Configuration of APRX

```
In /etc/aprx.conf

    <interface>
        ax25-device   $mycall
        tx-ok        true  # transmitter enable defaults to false
    #   #telem-to-is  true # set to 'false' to disable
    </interface>
```

## Install and configure AX.25 stack

```
sudo apt install socat libax25 ax25-apps ax25-tools

sudo nano /etc/ax25/axports

add:
   ax0     NOCALL-3        9600    255     2       430.775 MHz LoRa
```

## Start the LoRa KISS TNC

```
python3 Start_lora-tnc.py &
```

## Redirect KISS over TCP to AX.25 device

```
sudo socat PTY,raw,echo=0,link=/tmp/kisstnc TCP4:127.0.0.1:10001
sudo kissattach /tmp/kisstnc ax0
```

